import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { LeaveGuard } from '../../services/leave.guard';
import { VipComponent } from './vip/vip.component';
const routes: Routes = [
  {
    path: '',
    redirectTo:'idcard',
    pathMatch: "full",
  },
  {
    path: 'vip',
    canDeactivate: [LeaveGuard],
    component: VipComponent,
  },

]
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class GoodsRoutingModule { }
